'use strict';

const redis = require('redis');
let client = null;
const getCli = function getCli(config) {
	if (!client) {
		if (!config || !config.redis) {
			return null;
		}
		client = redis.createClient(config.redis.port, config.redis.server);
		client.on('error', function (err) {
			console.log(err);
		});
	}
	return client;
};

module.exports = { getCli: getCli };