'use strict';

const Message = require('../lib/message.js');
const WechatAPI = require('wechat-api');

let config = {
  mq: {
    rabbitmq: {
      host: '192.168.19.141',
      port: 5672,
      login: 'chat_message_acceptor',
      password: 'chat_message_acceptor',
      vhost: 'crm_ng'
    },
    rabbitqueue: 'crm.chat.message.dispatcher.out.tt.zp_wechat_qy',
    exchange: 'crm.chat.message.dispatcher.out',
    routing: 'TT.CRM.TPME.EASEMOB.TT.TT-WECHAT.TPME.WECHAT',
    noDeclare: false
  },
  wechat: {
    appid: "wx294011eb8fdc98f9",
    secret: "7a5023ed7b95c077267d667cbce54cab"
  }
};

let wechatapi = new WechatAPI(config.wechat.appid, config.wechat.secret);
const message = new Message(config, wechatapi);
let start = message.start();