'use strict';

require('should');
const Message = require('../../dist/lib/message.js');
const WechatAPI = require('wechat-api');
const bluebird = require('bluebird');
config = {
  mq: {
    rabbitmq: {
      host: '192.168.19.141',
      port: 5672,
      login: 'admin',
      password: 'qpwoeiruty',
      vhost: 'crm_ng'
    },
    rabbitqueue: 'crm.chat.message.dispatcher.out.tt.zp_wechat_qy',
    exchange: 'crm.chat.message.acceptor',
    routing: '#',
    noDeclare: false
  },
  wechat: {
    appid: "wx294011eb8fdc98f9",
    secret: "7a5023ed7b95c077267d667cbce54cab"
  }
};

// bluebird.promisifyAll(WechatAPI.prototype);

let wechatapi = new WechatAPI(config.wechat.appid, config.wechat.secret);

describe('test message', function () {
  it('start mq', function (done) {

    const message = new Message(config, wechatapi);
    let start = message.start();
    start.then(() => {
      done();
    });
  });
  it.only('publishCrmMsg', function (done) {
    const message = new Message(config);
    let start = message.start();
    start.then(function () {
      let info = {
        uid: 'oF7gCs2dcZOydgNdjNdxhYLBHZnc',
        createTime: "2016-07-14T09:22:25.000Z",
        type: 'text',
        text: '123'
      };
      setTimeout(function () {
        message.publishCrmMsg(info).then(function (data) {
          done();
        });
      }, 3000);
    });
  });
});